Sprachen

Informationen zu den Sicherheitsinhalten von J2SE 5.0 Release 3

In diesem Dokument wird der Sicherheitsinhalt von J2SE 5.0 Release 3 beschrieben, das mithilfe der Option Software-Aktualisierung oder bei den Apple Downloads geladen und installiert werden kann.

Zum Schutz unserer Kunden werden Sicherheitsvorfälle von Apple nicht veröffentlicht, diskutiert oder bestätigt, bis eine vollständige Untersuchung stattgefunden hat und die notwendigen Patches oder Releases zur Verfügung stehen. Weitere Informationen zu Apples Produktsicherheit finden Sie auf der Website Apple Produktsicherheit.

Informationen zum Apple Produktsicherheits-PGP-Schlüssel finden Sie hier: So verwenden Sie den Apple Produktsicherheits-PGP-Schlüssel

CVE IDs werden für die Bezugnahme auf die Schwachstellen in weiteren Informationen verwendet, wo dies möglich ist.

Informationen zu weiteren Sicherheits-Updates finden Sie hier: Apple Sicherheits-Updates

J2SE 5.0 Release 3

Verfügbar für: Mac OS X Version 10.4.2 oder höher mit Java 1.3.1 und 1.4.2 Release 2

Am 28. November 2005 (28.11.2005) hat Sun die Sicherheitswarnungen Nr. 102003, 102050 und 102017 veröffentlicht. Diese Warnungen beschreiben Schwachstellen, die in Mac OS X Version 10.4 mit Java 1.3.1 & 1.4.2 Release 2 und J2SE 5.0 Release 3 bereits behoben wurden.

Java 1.3.1 und 1.4.2 Release 2 sind seit dem 13. September 2005 (13.09.2005) verfügbar.

J2SE 5.0 Release 3 ist seit dem 15. November 2005 (15.11.2005) verfügbar.

Sie erhalten sie über die Option Software-Aktualisierung der Systemeinstellungen oder über die Apple Website Software Downloads:
http://www.apple.com/support/downloads/java2se50release3.html
http://www.apple.com/support/downloads/java131and142release2.html

Für Java 1.3.1 & Java 1.4.2
heißt die Download-Datei: "Java131and142Release2.dmg"
Die SHA-1-Zusammenstellung lautet: 9e9f752ff56da7ab13f3b11f40b528c901145019

Für J2SE 5.0 Release 3
heißt die Download-Datei: „J2SE50Release3.dmg“
Die SHA-1-Zusammenfassung lautet: c5fe977bd9a2d145e9d122ed80768488c89dcc98

Für Systeme mit Mac OS X Version 10.3.9 wurden die Sun Warnungen mit dem Java-Sicherheits-Update behoben, das am 13. September 2005 veröffentlicht wurde. Es ist entweder über die Option Software-Aktualisierung der Systemeinstellungen oder über die Apple Website Software-Downloads verfügbar:
http://www.apple.com/support/downloads/javasecurityupdate.html

Die Download-Datei heißt: "JavaSecurityUpdate4.dmg"
Die SHA-1-Zusammenstellung lautet: b6babb98a98c20bdc7d2ca9b14c56b93ff3813a7

Wenn Sie prüfen möchten, ob auf Ihrem System die neusten Java-Versionen installiert sind, öffnen Sie Terminal (unter Programme/Dienstprogramme) und geben einen der folgenden Befehle ein:

Für Mac OS X Version 10.4.2 oder höher geben Sie die folgende Zeile ein und drücken die Eingabetaste:

/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Commands/java -version
Es sollte Folgendes angezeigt werden: Java Version "1.5.0_05"

Für Mac OS X Version 10.3.9 oder höher geben Sie die folgende Zeile ein und drücken die Eingabetaste:

/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Commands/java -version
Es sollte Folgendes angezeigt werden: Java Version "1.3.1_16"

/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java -version
Es sollte Folgendes angezeigt werden: Java Version "1.4.2_09"

Zuletzt geändert: 04.10.2008
Diese Seite drucken
  • Zuletzt geändert: 04.10.2008
  • Artikel: TA23765
  • Aufrufe:

    19877